package com.steerinfo.dil.rmscarrier.service.impl;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import com.steerinfo.dil.rmscarrier.model.RmsCarrier;
import com.steerinfo.dil.rmscarrier.mapper.RmsCarrierMapper;
import com.steerinfo.dil.rmscarrier.service.IRmsCarrierService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.Date;
import java.math.BigDecimal;

/**
 * RmsCarrier服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-12-25 05:09
 * 类描述
 * 修订历史：
 * 日期：2021-12-25
 * 作者：generator
 * 参考：
 * 描述：RmsCarrier服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "rmsCarrierService")
public class RmsCarrierServiceImpl extends BaseServiceImpl<RmsCarrier, Short> implements IRmsCarrierService {

    @Autowired
    private RmsCarrierMapper rmsCarrierMapper;

    @Override
    protected IBaseMapper<RmsCarrier, Short> getMapper() {
        return rmsCarrierMapper;
    }
}
